// UTS 2000 - fichier 'aigauto.h' - V3.4 - Le 18/03/2012
class cBalauto
{
    public:
    int nb;
    int balauto_vitmax_tab[BALAUTO_VITMAX_NB][BALAUTO_VITMAX_TAB_IND_TAILLE]; // [Nombre maxi de terme 'Cx:' dans la partie 'vitmax:' de '#balauto de 'config.txt'].
    int balauto_halt_tab[BALAUTO_HALT_NB][BALAUTO_HALT_TAB_IND_TAILLE];       // [Nombre maxi de terme 'Cx:' dans la partie 'halt:' de '#balauto de 'config.txt'].
    int balauto_cant_tab[BALAUTO_CANT_NB][BALAUTO_CANT_TAB_IND_TAILLE];       // [Nombre maxi de terme 'Cx:' dans la partie 'cant:' de '#balauto de 'config.txt'].
    int check_aig;
    cBalauto(void);
    void init(char filename[]);
    void tick_vitmax(void);
    void tick_halt(void);
    void tick_cant(void);
    void cBalauto::debug_vitmax(int action);
    void cBalauto::debug_halt(int action);
    void cBalauto::debug_cant(int action);
};
